package com.njzscloud.supervisory.bs.mapper;

import com.njzscloud.supervisory.bs.pojo.result.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface SupervisionStatisticsMapper {
    DispatchSummary getDispatchSummary();

    YuYueSummary getYuYueSummary();

    Integer getDisposeTotalWeight();

    CarSummary getCarSummary();

    Integer getTodayCarCount();

    List<RegionSummary> getRegionSummary();

    List<CompanySummary> getCompanySummary();

    List<StationInfo> getStationInfo();

    List<Order> getOrders();

    List<Project> getProjects();

    @SuppressWarnings("MybatisXMapperMethodInspection")
    Map<String, Object> dataStatistics();

    @SuppressWarnings("MybatisXMapperMethodInspection")
    List<Map<String, Object>> warnTruck();

    @SuppressWarnings("MybatisXMapperMethodInspection")
    Map<String, Object> truckStatistics();

    @SuppressWarnings("MybatisXMapperMethodInspection")
    List<Map<String, Object>> projectStatistics();

    @SuppressWarnings("MybatisXMapperMethodInspection")
    List<Map<String, Object>> trendStatistics(@Param("startTime") String startTime, @Param("endTime") String endTime);

    @SuppressWarnings("MybatisXMapperMethodInspection")
    List<Map<String, Object>> categoryStatistics();

    @SuppressWarnings("MybatisXMapperMethodInspection")
    Map<String, Object> orderStatistics();

    @SuppressWarnings("MybatisXMapperMethodInspection")
    Map<String, Object> weightStatistics();

    @SuppressWarnings("MybatisXMapperMethodInspection")
    Map<String, Object> userStatistics();

    @SuppressWarnings("MybatisXMapperMethodInspection")
    Map<String, Object> activeProjectStatistics();

    @SuppressWarnings("MybatisXMapperMethodInspection")
    Map<String, Object> transStatistics();

    @SuppressWarnings("MybatisXMapperMethodInspection")
    List<Map<String, Object>> dataTable();

    @SuppressWarnings("MybatisXMapperMethodInspection")
    Map<String, Object> todayAuditPassStatistics();

    @SuppressWarnings("MybatisXMapperMethodInspection")
    List<Map<String, Object>> stationStatistics();

    Integer getTotalCarCount();

    @SuppressWarnings("MybatisXMapperMethodInspection")
    List<Map<String, Object>> getKehuList();
}
